Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xml.jaxp
Class JXSAXParserFactory

`java.lang.Object
javax.xml.parsers.SAXParserFactory
oracle.xml.jaxp.JXSAXParserFactory`

      public class JXSAXParserFactory

extends SAXParserFactory

Defines a factory API that enables applications to configure and obtain a SAX based parser to parse XML documents.

Since:
  JAXP 1.0

Constructor Summary
`JXSAXParserFactory()` Default Constructor

Method Summary
`boolean` `getFeature(java.lang.String name)` returns the particular property requested for in the underlying implementation of org.xml.sax.XMLReader.
`SAXParser` `newSAXParser()` Creates a new instance of a SAXParser using the currently configured factory parameters.
`void` `setFeature(java.lang.String name, boolean value)` Sets the particular feature in the underlying implementation of org.xml.sax.XMLReader.

Methods inherited from class javax.xml.parsers.SAXParserFactory
`isNamespaceAware, isValidating, newInstance, setNamespaceAware, setValidating`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JXSAXParserFactory

    public JXSAXParserFactory()

  Default Constructor

Method Detail

### newSAXParser

    public SAXParser newSAXParser()
                           throws ParserConfigurationException,
                                  SAXException

  Creates a new instance of a SAXParser using the currently configured factory parameters.
  Specified by:
    `newSAXParser` in class `SAXParserFactory`
  Throws:
    `ParserConfigurationException` - if a parser cannot be created which satisfies the requested configuration.
    `SAXException`

### setFeature

    public void setFeature(java.lang.String name,
                           boolean value)
                    throws ParserConfigurationException,
                           SAXNotRecognizedException,
                           SAXNotSupportedException

  Sets the particular feature in the underlying implementation of org.xml.sax.XMLReader.
  Specified by:
    `setFeature` in class `SAXParserFactory`
  Parameters:
    `name` - The name of the feature to be set.
    `value` - The value of the feature to be set.
  Throws:
    `SAXNotRecognizedException` - When the underlying XMLReader does not recognize the property name.
    `SAXNotSupportedException` - When the underlying XMLReader recognizes the property name but doesn't support the property.
    `ParserConfigurationException`
  See Also:
    `XMLReader.setFeature(java.lang.String, boolean)`

### getFeature

    public boolean getFeature(java.lang.String name)
                       throws ParserConfigurationException,
                              SAXNotRecognizedException,
                              SAXNotSupportedException

  returns the particular property requested for in the underlying implementation of org.xml.sax.XMLReader.
  Specified by:
    `getFeature` in class `SAXParserFactory`
  Parameters:
    `name` - The name of the property to be retrieved.
  Returns:
    Value of the requested property.
  Throws:
    `SAXNotRecognizedException` - When the underlying XMLReader does not recognize the property name.
    `SAXNotSupportedException` - When the underlying XMLReader recognizes the property name but doesn't support the property.
    `ParserConfigurationException`
  See Also:
    `XMLReader.getProperty(java.lang.String)`

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.